Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601496 - openshift master logs is printing the plain text password of the StorageClass secret
Summary: openshift master logs is printing the plain text password of the StorageClass...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: kubernetes
Version: rhgs-3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: OCS 3.11.1
Assignee: Humble Chirammal
QA Contact: Ashmitha Ambastha
URL: https://github.com/openshift/origin/p...
Whiteboard:
Depends On:
Blocks: OCS-3.11.1-devel-triage-done 1644156
TreeView+ depends on / blocked
 
Reported: 2018-07-16 13:50 UTC by mmariyan
Modified: 2019-02-07 06:14 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 06:14:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2019:0291 None None None 2019-02-07 06:14:26 UTC

Comment 1 Hemant Kumar 2018-07-16 18:16:36 UTC
Fixed here - https://github.com/kubernetes/kubernetes/pull/59466 . Guess we need to backport it.

Comment 5 Humble Chirammal 2018-07-18 15:23:47 UTC
Thanks Matthew and Hemanth for finding the upstream patch and and also backporting to 3.9. 

Brad, in SC, its just secret name, however later in the code path all configuration for provisioner was logged which is hided now by mentioned patch.

Comment 27 Ashmitha Ambastha 2018-11-21 12:26:18 UTC
Hi, 

On OCP 3.11 with OCS 3.11.1(latest available builds), 

# oc version
oc v3.11.16
kubernetes v1.11.0+d4cacc0
features: Basic-Auth GSSAPI Kerberos SPNEGO

Server https://dhcp46-189.lab.eng.blr.redhat.com:8443
openshift v3.11.16
kubernetes v1.11.0+d4cacc0

Created a pvc using the gluster-sc storage class. 

# oc get sc 
NAME                       PROVISIONER                AGE
glusterfs-registry-block   gluster.org/glusterblock   36d
glusterfs-sc               kubernetes.io/glusterfs    5h
glusterfs-storage          kubernetes.io/glusterfs    1d
# oc get pvc
NAME              STATUS    VOLUME                                     CAPACITY   ACCESS MODES   STORAGECLASS        AGE
pvc-bug-1         Bound     pvc-65ca25b6-ed5a-11e8-aec7-005056a528b6   4Gi        RWO            glusterfs-sc        5h
pvc-bug-2         Bound     pvc-a88ef5a3-ed78-11e8-aec7-005056a528b6   5Gi        RWO            glusterfs-sc        1h
pvc-bug-3         Bound     pvc-0ef48781-ed85-11e8-bae2-005056a528b6   2Gi        RWO            glusterfs-sc        22m

On checking in the master-controller logs, HEKETI_ADMIN_KEY value can be found. 

------------- Snippet from master-controller logs --------

EnvFrom:[]v1.EnvFromSource(nil), Env:[]v1.EnvVar{v1.EnvVar{Name:"HEKETI_USER_KEY", Value:"heketiuserkey", ValueFrom:(*v1.EnvVarSource)(nil)}, v1.EnvVar{Name:"HEKETI_ADMIN_KEY", Value:"adminkey", ValueFrom:(*v1.EnvVarSource)(nil)}, v1.EnvVar{Name:"HEKETI_EXECUTOR", Value:"kubernetes", ValueFrom:(*v1.EnvVarSource)(nil)}, v1.EnvVar{Name:"HEKETI_FSTAB", Value:"/var/lib/heketi/fstab"

------------- End of snippet -------------------------

Moving this bug back to assigned state.

Comment 33 errata-xmlrpc 2019-02-07 06:14:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:0291


Note You need to log in before you can comment on or make changes to this bug.